Unsupported Browser:

Currently the POST EDI System only supports allow Microsoft Internet Explorer version 5 or higher and Netscape 7 or higher or Mozilla Firefox 1.0 or higher.